Skip to main content
`Ctrl`+`K`

# KSPConvergedDefaultSetConvergedMaxits

allows the default convergence test to declare convergence and return `KSP_CONVERGED_ITS` if the maximum number of iterations is reached

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPConvergedDefaultSetConvergedMaxits(KSP ksp, PetscBool flg)

Collective

## Input Parameters

- ksp - iterative context

- flg - boolean flag

## Options Database Key

- -ksp_converged_maxits (true|false) - Declare convergence if the maximum number of iterations is reached

## See Also

KSP: Linear System Solvers, `KSP`, `KSPSetConvergenceTest()`, `KSPSetTolerances()`, `KSPConvergedSkip()`, `KSPConvergedReason`, `KSPGetConvergedReason()`, `KSPConvergedDefaultSetUMIRNorm()`, `KSPConvergedDefaultSetUIRNorm()`

## Level

intermediate

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages